Introduction

Home
Introduction

Welcome to dkBooster Help System!

This help contains of several parts (click hyperlink to continue):

  • Interface description. This chapter describes all program parts and controls.
  • Settings description.
  • Tutorial for beginners. This chapter describes step by step all necessary activity for proper program use.
  • Answers for Frequently Asked Questions (FAQ)

See also: About, License Agreement
Copyright © 2004-2005 dkBooster.com


About dkBooster

Home -> About
About dkBooster

dkBooster is the service and client for eDonkey network. It uses a unique technology which allows users to get much more from p2p networks rather using common p2p clients. You can get tons of free video, music, images, games and software from the eDonkey network much faster and more conveniently.

Why use dkBooster?

  • Tired of unstable low-speed downloads, LowID, problems with correct client installations?
    You will totally forget about this. Simple install, quick registration, convenience of using - all of these features become real with dkBooster. After launching dkBooster you can start download millions of movies, images, software and games for free.

  • If the file you are searching for is rare in the network, or huge - You do not need to stay connected to the Internet all the time. dkBooster will get it for You - you can download it from dkBooster at your Internet connection speed any time you want.

  • Worry about anonymity? Do not want to let anybody know about You activity? dkBooster keeps your privacy! Nobody will know about your actions.

See also: License Agreement


User interface

Home -> User interface
User interface

The main window consist of 5 parts:

  1. Buttons for choosing section.
  2. Bookmarks for choosing sub-section.
  3. Command buttons.
  4. Work area
  5. Status bar.

The list of sections and sub-sections (click the hyper link to see the description):

  • Account
    • Connection
    • Statistics
  • My Files
    • File storage
    • Transfers
  • Search
    • New search
    • Results

Command buttons

  • Help - opens this help.
  • Settings - opens Settings dialog box.
  • Events - shows the list of recent Events. Available only if there are new events.
  • Report a BUG - opens a dialog for sending message about program problems and bugs. You can write a message to dkBooster Support here.
    This button is active only after connection with dkBooster service was established. If You have a problem before connection - please e-mail us support@dkbooster.com

Status bar

Shows 4 different values (from left to right):

  • Current connection status with dkBooster service - "Connected" or "Disconnected"
  • Duration of connection with dkBooster service - hh:mm:ss. Active only if "Connected".
  • Used space at your account. Active only if "Connected".
  • Free space at your account. Active only if "Connected".

See also: Tutorial


Account section

Home -> User interface -> Account
Account section
Section button:
Sub-sections:

See also: Connection, Statistics


Connection sub-section

Home -> User interface -> Connection
Connection sub-section
  1. Entry field for login and password.

    Mark "Save user login and password" option for saving this data.

  2. Connect / Disconnect button.

    This button changes its function according to current connection status:

  3. Connection status may be the following:
    • disconnected - no connection
    • looking for server - dkBooster client is trying to find service.
      If your internet connection is not currently active or if it is too busy you will see a message: "Can't find server!".
    • connecting... - dkBooster service was found, currently establishing connection.

      At this stage one of these messages may be seen:

      • "Unable to connect: this IP address is blocked!"

        Your IP-address was blocked. Please apply for Support.

      • "You need to update your client program."

        The dkBooster client you are currently using is too old and it is not able to work correctly with dkBooster service. Please, download a new version or apply for Support.

      • "Account is busy now!"

        Somebody is currently using you account. Please contact our Support if you did not give anybody your login and password.

      • "Account is locked!"

        Your account was locked. Please contact our Support.

      • "Incorrect login and/or password!"

        You entered invalid login or password. Check it and try to connect again.

    • connected - the connection between client and service successfully established.
    • disconnecting... - connection closing after pushing [image] button.

  4. Hyperlinks open required web-page:
    • Click here to register! - if you do not have a dkBooster account yet.
    • Change password - if you want to change your password. The new one will be send to your mailbox.

  5. Account type

    Shows the type of your account. Two account types are existing:

    • Trial - totally free account which has some restrictions. You can look at the restrictions summary by clicking "Differences in FULL/TRIAL versions" hyperlink.
    • Full - paid account. This account has all features of dkBooster Service.

      NOTE! There are many appropriate ways to get FULL dkBooster account instantly. Look for details at dkBooster Web Site.

  6. News from dkBooster

    Here you are able to read current message/news from dkBooster service. Please pay attention to it. There could be important information.

  7. A new version is available now

    You can see this message if a new version of the dkBooster client is available. Move mouse over this link to read details.

See also: Settings, Tutorial (page 1)


Statistics sub-section

Home -> User interface -> Statistics
Statistics sub-section

Here you can read statistics information about your account traffic.

  1. Information about current free/used space.

    Also this information duplicates on the status bar.

  2. Traffic summary for total account life period.

    This data renews automatically if connection established. Press [image] button to update this data manually.

  3. Traffic statistics for fixed period.

    Information like Overall traffic but for fixed period of time. To see required information define the dates of beginning and finishing of time period and press [image] button.


My Files section

Home -> User interface -> My Files
My Files section
Section button:
Sub-sections:

See also: File Storage, Transfers


File Storage sub-section

Home -> User interface -> File Storage
File Storage sub-section

At this subsection you are able to manage your files which are at your account now. This subsection is divided into 2 parts - files downloaded from p2p network and files uploaded from your PC.

The list of files, uploaded from your PC is hidden as default. To open it you need to press [image] Show Uploaded files button.

  1. File filter. You may choose one of existing filters. After choosing the filter you can see the files of chosen type.

    There are 3 filters are available:

    • no filter - all file types will be shown
    • file type filters - only files of definite type will be shown
    • finish time of downloading filter - only files of definite finish time period will be shown.
  2. The list of files, downloaded from p2p network.

    There are 7 characteristics for each file are available:

    • File name
    • Size (Mb)
    • Type
    • Date and type of start download.
    • Date and type of finish download.
    • Average speed of downloading.
    • Time elapsed for download.

    To sort the results by one of these parameters just click at the head of appropriate column. The second click will reverse an order of sorting. You will see a mark to the left of the column text - [image] or

    The right click at any result opens the context menu with a list of available actions. All of these actions are duplicated with a buttons at the right side of results table.

  3. The actions aimed at the files.
    Start download selected file to your PC - starts downloading the file to your computer. At the same time the file which currently downloading is marked with color and special icon [image]. The information about download process is showing at Transfers subsection. You may also start download a file by double-clicking it.
    Note: when download starts the     Auto-Transfer mode switches on automatically.
    Delete file from dkBooster account
    File details - shows the File Details dialog containing detailed information about file. For media-files and archives expended information is available. Also you can get a Preview of your video files or extract files from archive.
    Note: when you first open this dialog - you will need to wait a little while the information will be available. You can see an animated [image] icon in the upper-right part of your screen while your request is being processed.
  4. The list of files, uploaded from your PC.

    There are 4 characteristics for each file are available:

    • File name
    • Size (Mb)
    • File type
    • Date and type of finish download.

    To sort the results by one of these parameters just click at the head of appropriate column. The second click will reverse an order of sorting. You will see a mark to the left of the column text - [image] or

    The right click at any result opens the context menu with a list of available actions. All of these actions are duplicated with a buttons at the right side of file list table. The actions aimed at the files are totally the same as the actions for the files which downloaded from p2p network.

  5. Same as p.3 with one additional action:
    Toggle shared/unshared state - toggles shared state of selected file and shows its shared status. means the file is shared and [image] means the file is not shared. Shared files are additionally marked with [image] icon in Files uploaded from Your PC list.
  6. The button which allows to show [image] or hide [image] Uploaded files.
    Note: If you changed this option - dkBooster client will remember you choice for the next time you will start it.


File details dialog

Home -> User interface -> File Storage -> File Details
File Details dialog

After clicking [image] button, while you are in the list of files on your account, the window with detailed information about selected file will appear. Appearance and content of this window depends on the type of the selected file - media-file of supported format, archive of supported format or any other files.

Information, showed for all files.

  • File name
  • File size
  • Date and time of creation of the file - this is the date and time when this file was downloaded to your account.

Also for some files an additional information shown:

For most types of media-files (audio, video).

  • Length of audio- or video-file, in format of "hh:mm:ss.ms'
  • For video-files - common average bit rate, in kbit/s
  • For video-files: information about audio and video tracks, which file contain. For viewing information about particular track select it in the list.

Information for video tracks:

  • Video codec
  • Size of frame, in pixels
  • Number of frames per second, FPS (for some types of video files this information unavailable)

Information for audio-tracks:

  • Audio codec
  • Number of audio channels
  • Sample rate, in kHz

Additionally for MP3 files:

  • Type of coding - "Variable bit rate" or "Fixed bit rate"
  • When selecting part "MP3 Tags" - the ID3-tags "Title", "Artist" and "Album" are shown, if this file contains them.

Video preview feature

Press Video preview button to see some frames of your video file. You can check the quality of video before downloading to your PC.
You can see an animated [image] icon in the upper-right part of your screen while your request is being processed.

Note: Not for all video-formats and video-codecs preview is available. If dkBooster is unable to create a preview, you will see a message "Unable to make preview for video file because of incompatible video format".

For some archives the list of files and folders, contains in this archive, are shown.

For all files shown it's size in bytes.

The indent of the name of the file or folder complies with the level of this file in the directory structure of this archive.

File extraction feature

Press Extract file button to extract required file from archive. Check Files uploaded from your PC section to see your extracted file.
You can see an animated [image] icon in the upper-right part of your screen while your request is being processed.

Note:

  • Extraction of folders is impossible.
  • You can extract only one file at a heat.


Transfers sub-section

Home -> User interface -> Transfers
Transfers sub-section

This subsection divided into two parts:

  • list of current downloads and
  • file browser on your computer.

You can hide any of this sections at any moment, for example for more comfortable work with large list of files in other section.

To expand the section to the full screen click the appropriate [image] button, after this the other section will be hidden.

Note: dkBooster client will remember your current mode of view for the next times you will start it.


Current transfers

Home -> User interface -> Transfers -> Current transfers
Current transfers

In this part you could control all your current downloads.

  1. Field for direct ed2k-link.

    Use this feature if you want to download file by particular ed2k-link without using search.

    Enter the ed2k-link in the specified field and then click [image] button or press "Enter" on your keyboard, after this the file will appear in the list of your current downloads. If you enter incorrect ed2k-link, you will receive the error message.
    Note: You can not download files with a names which contain these symbols: ' " * ? < > | : \ / or national alphabet symbols (ASCII code > 127).

  2. button for downloading direct ed2k-link.

  3. List of current downloads. This list divided into 3 parts by the types of downloads:
    • Downloads from P2P networks
    • Downloads from server
    • Uploads to server

    There are some differences in content of information fields and in allowed actions for different types of downloads.

    Information fields:

    • File name
    • Full file size, in Mb
    • Current download progress, in % and in Mb.

      Note: when sorting by this field, files will be sorted by %, but not by actual downloaded size.

    • Current download speed, in Kb/s, or current download status, if the file isn't downloading at this moment.
    • Elapsed time from the moment of starting download. It is not shown for Downloads from server if the download was resumed after pause or there is no download at this moment.
    • Approximate estimated time till the end of download, based on average speed.

      Not shown if the file is not downloading at the moment or there is not enough information for calculating average speed.

      You could sort list of downloads by clicking the heading of appropriate column. The second click will change direction of sorting. You will see a mark to the left of the column text - [image] or

      Possible statuses of downloads (in the "Current speed" field):

      • For Downloads from P2P networks:
        • waiting... - program waits for response from dkBooster server
        • error - program can not start download by some reason. Expanded information about this error you can see in Transfer details dialog. After eliminating the reason of this error you could click the [image] button to repeat attempt to download.
      • For Downloads from server:
        • waiting... - program waits for response from dkBooster server
        • pausing... - program pausing download after clicking [image] or [image] button.
        • stopped - the download is stopped (paused) because [image] button was pressed or some error was happened. To check the type of error press [image] button and look at Transfer details dialog. After the problem was solved you can resume you download by pressing [image] button.
      • For Uploads to server:
        • waiting... - program waits for response from dkBooster server
        • error - program can not start download by some reason. Expanded information about this error you can see in Transfer details dialog. After eliminating the reason of this error you could click the [image] button to repeat attempt to download.

      By clicking right mouse button on any file you will see the context menu with the list of allowed actions. All this actions are doubling buttons, located at the right.

  4. The allowed actions for file are depends from the type of selected download and on its current status.

    Some actions (Toggle Auto-transfer, Pause all and Set speed limit) don't require selecting particular file because they acts globally.

    Resume - to resume download of paused file (only for Downloads from server)
    Pause - to pause downloading of the file (only for Downloads from server). Not working then the status of download is waiting....
    Retransfer - to repeat attempt to download file (for Downloads from P2P networks and Uploads to server which has error status)
    Cancel - to cancel download. Allowed for all files. Not allowed when status is waiting...

    Attention: when canceling download from dkBooster server to your computer the downloaded part of the file will be deleted from Your PC!
    Toggle Auto-Transfer - turns on/off and and shows status of the Auto-Transfer mode.
    Pause all - pauses all downloads from server.
    Details - shows window with transfer details.


Files on Your PC

Home -> User interface -> Transfers -> Files on Your PC
Files on Your PC

Here you can operate files, located on your PC.

  1. Selection of local current folder.

    You can change current local folder by several ways:

    • Enter the full path of desired folder and click [image] button.
    • Click [image] button to go one level up in the folder tree.
    • Click [image] button to go to the folder, entered in Downloads folder settings.
    • By double click on desired folder in the file list.

    After changing folder you can see it's path in Current folder edit-box and files and folders it contain - in file list

    Just after connection with dkBooster server current folder automatically changed to your default Downloads folder

  2. File list.

    For each file shown name, size, date and time of creation, you can sort files by any of this parameters by clicking on the heading of column. The second click will reverse an order of sorting. You will see a mark to the left of the column text - [image] or

    By clicking right mouse button on any file the context menu will appear with the list of possible actions. You can do the same actions by clicking buttons located at the right.

    Double click on a file will open it in a default application, double click on a folder will open this folder.

  3. Possible actions:
    Start Upload - starts upload of selected file to your account. If you have enough space on your account selected file will appear in the list of current downlodings, otherwise, if there is not enough space on your account, you will receive error massage. For more details about downloading process see Current transfers
    Open - open file with default application or move you to required folder.
    Note: Video preview files (files with ".preview" extension) will be opened in     Video preview dialog.
    Delete - delete selected file. Note: you can not delete folder.
    Details - open standard Windows Explorer "File Properties" window.


Transfer details dialog

Home -> User interface -> Transfers -> Transfer details
Transfer details dialog
Window "Transfer details" available for any download or upload by clicking [image] button.

For all files following information shown:

  • File name
  • Full file size
  • Date and time of download starting
  • Average speed of downloading this file
  • Current downloading status

    The list of all possible statuses you can find here.

    In case of error status here you can see expended information about this error.

    List of possible errors:

    • "Not enough space on account" - check free necessary space on your account and try again.
    • "File with the same name is already exists" - delete the file with same name from your account and try again.
    • "Can't connect to server" - try to re-download or check FAQ.
    • "Maximum number of concurrent downloads from network exceeded" - wait until your downloads will be finished or cancel some of them and try again.
    • "Maximum number of daily downloads exceeded" - try it tomorrow.
    • "Maximum volume of daily data transfer exceeded" - try it tommorow.
    • "Unknown error (number)" - report us about this error (don't forget to write its number).


Events dialog

Home -> User interface -> Events
Events dialog

If some event was completed you will see blinking [image] icon. If you push this icon, you will see a Events dialog:

The number of new events is showing in the upper string. The events listed below.

There are three types of events and the each one is marked with fixed icon:

  • The download process from network to your account is finished.
  • The download process from your account to your computer is finished.
  • The download process from computer to your account is finished.

The name and size of a file is indicating for each event.

If there are finished downloads to your PC, you can delete downloaded files by pressing Delete files button.


Video Preview dialog

Home -> User interface -> Video preview
Video preview dialog

You can see your previews of video files here.

  • File name, [frame size (px)]
  • Frame of video file and its number (upper-right corner of the video frame)

Available actions:

  • - press this button if you see wrong-oriented frame.
  • - browse your frames by clicking this buttons.
  • - close Video Preview dialog.


Auto-Transfer mode

Home -> User interface -> Auto-Transfer
Auto-Transfer mode

Auto-Transfer mode simplifies process of downloading files from your dkBooster account to your PC.

This mode depends on three components:

  • Settings parameter Maximum concurrent downloads/uploads
  • Settings parameter Auto-resume downloads after connection
  • Auto-Transfer on/off button in the Current Transfers section.

When Auto-Transfer mode turned on the program will automatically download all your files and the number of files, downloading in the same time wouldn't be more then Maximum concurrent downloads/uploads number.

After completing transfer of particular file the program will select next file automatically from the list of files to download.

Current status of Auto-Transfer mode you can define by the Toggle Auto-Transfer button: means the Auto-Transfer mode turned on, [image] means the Auto-Transfer mode turned off.

What affects on the Auto-Transfer mode's status:

  • When Auto-resume downloads after connect option turned on, the Auto-transfer mode will be activated just after connection with dkBooster server and all current downloads will be resumed.
  • After starting download of file from your account to your PC, Auto-Transfer mode will be automatically activated.
  • When particular downloading or all downloadings stopped (after clicking [image] or [image] buttons) the Auto-Transfer mode will be turned off. Cancel of downloading doesn't affect on Auto-Transfer mode.

You always can forcibly turn on/off Auto-Transfer mode by clicking [image] button.

See also: Downloads settings


Search section

Home -> User interface -> Search
Search section
Section button:
Sub-sections:

See also: New search, Results


New search sub-section

Home -> User interface -> New search
New search sub-section

For your convenience the search definition process is consist of 4 steps:

Step 1: Keywords.

All entered words are combining with logical "and". So the search result for keywords "favorite" and "content" will be the files with a names which contain both of these keywords. If you want to search by precise phrase - you have to write it in quotes (ex.: "favorite content").

Step 2: What do you want to search for?

After you pointed keywords - choose search criteria. Four types of content are available:

  • "Anything" - the search will be proceed using just keywords. All other parameters will be default (see Settings).
  • "MP3 music" - the search of music files (MP3 format). The additional parameter is minimal bit rate.
  • "Movies" - the search of movies, i.e. large video files (more than 600 mb). No any additional parameters required.
  • "Let me choose" - this type lets you set all parameters manually. Default parameters are not active.

The search type enabled at the moment is marked with arrow

Step 3: set extended search parameters.

Set values, which are necessary for the type you have chosen. There are 4 parameters available at "Let me choose" mode (primordially all of them set as default).

  • File type - the type of a file you want to find
  • File extension - you can set file extension for searching (do not use commas or file masks, avi - correct, *.avi incorrect).
  • File size - minimal and maximal size of a file you want to find.

    Pay attention:

    • the maximal file size can not be greater than 4000 mb.
    • If you do not want to limit file size set this value "0".

  • Maximum number of results - set here how many results you want to find. The maximal value - 500.

Step 4: Push Start search button

Search process will begin using the parameters you have set. After pushing [image] button the program will switch Result sub-section, where you can see the search results.

See also: Settings, Tutorial (page 2)


Results sub-section

Home -> User interface -> Results
Results sub-section
  1. Choosing of search.

    Each started search is represented by its own tab. Also the list of started searches exists at drop down menu. You can click a tab or choose an item from a list to define required search result.

    Click [image] button in the corresponding tab to close selected search. Simultaneously it will be deleted from search result list and all the results will be lost.

    Please draw attention: there can be just 8 active searches at the same time. When you will try to start 9-th search, the oldest one will be closed.

    Each opened search has a status:

    • complete - the search is finished. i.e. either maximum number of results was found or the time for the search was expired.
    • growing... - the search is not finised. The current number of results is showing at the same string at the right side. The total number of started and unfinished results are showing under the table.

  2. The number of results of a current search.

  3. Table of results.

    All found results are here. There are 4 parameters for each result:

    • File name
    • Size (Mb) - for files less then 10 kb in this column written "<10 kb".
    • Type - one of the known file types.
      • Audio
      • Video
      • Image
      • Archive
      • Program
      • Document
      • N/A - means that this file is not according to one of listed types.
    • Availability

      This file's popularity in the network. The bigger this value, the faster your file will be download to your account.
      Always try to download the files with maximum availability.

    To sort the results by one of these parameters just click at the head of appropriate column. The second click will reverse an order of sorting. You will see a mark to the left of the column text - [image] or

    All search results will be colorized accordingly their availability if feature Colorize search results is enable. The prompting for the colours meanings is in the right down corner of a screen:
    This prompting is not showing if Colorize search result option was switched off.

    The right click at any result opens the context menu with a list of available actions. All of these actions are duplicated with a buttons at the right side of results table.

  4. Actions aimed at search results.
    Download - start downloading picked search result. Simultaneously this result is marking with [image] icon, grey colour and moving to the top of the table:

    If downloading is impossible you will get a message:
    • "Not enough space on account (N mb free)" - You are trying to start downloading of a file, the size of which is greater than free space at your account. You may try to delete some existing files to extend free space.
    Copy to clipboard - you are able to copy full link of chosen result to a clipboard.
    Details - shows a message box in which you can see detailed information about search result.

  5. Search progress indicator. The search is complete when this indicator shows that process have completed. This indicator is not showing if search was complete.

See also: Settings, Tutorial (page 3)


Settings dialog

Home -> Settings
Settings
Sections: Connection Interface Downloads Search

Connection

  • Save user login and password

    dkBooster client will remember login and password after you press [image] button. The next time you will start dkBooster client they will be placed automatically.

    dkBooster client will NOT remember login and password. The next time you will start dkBooster client you will have to place them manually.

  • Auto-logon at startup

    dkBooster client will try to connect dkBooster service straight off you launch it.

    To connect dkBooster service You will have to push [image] button.

    Note: this feature available only if Save user login and password marked.

  • Try to auto-reconnect

    If the connection with dkBooster service was interrupted, dkBooster client will try to reconnect automatically in 60 seconds. You can cancel auto-reconnecting by pushing the [image] button. If You pushed [image] button, client will not try to reconnect.

    If the connection with dkBooster service was interrupted, You will see "Disconnected from server" message. dkBooster client will not try to reconnect.

Interface

  • Minimize to tray

    Program will be minimized to tray after pushing "Minimize" button.

    To reopen a program You need to double-click at dkBooster icon or click dkBooster icon with right button and choose "Open".

    Program will be minimized to taskbar after pushing "Minimize" button.

  • Colorize search results

    Search results will be colorized in different colors according to availability of the file.

    All search results will be black (not colorized).

Downloads

  • Downloads folder

    The path to a folder, in which You will download files. This folder will be default in Local Files section of the program. If You set a folder which is not exist at the moment, dkBooster client will propose You to create it.

    Note: You can change this path only in "disconnected" state.

  • Your Internet bandwidth

    You have to choose your type of your current Internet connection here or that one, which is close to the type of your Internet connection.

  • Maximum concurrent downloads/uploads

    This issue regulates the number of downloading/uploading files at the same moment from dkBooster service. This issue is important if Auto-Transfer mode is active. dkBooster client will not download/upload more files than set here. Maximum value is 5.

  • Auto-resume downloads after connect

    If unfinished downloads/uploads to/from your computer is present after launching program, dkBooster client will continue transfers automatically.

    If unfinished downloads/uploads to/from your computer is present after launching program, all unfinished transfers will be paused.

  • Download speed limit

    This parameter limits maximum speed for downloading files from your account to your computer and from your computer to your account. Enter the desired number in Kb/c, for no limit enters 0.

  • Use FTP PASSIVE mode

    dkBooster will use PASSIVE FTP mode when downloading from server or uploading to server. Turn this options ON only if you have any problems with downloading.

    This is a default value. dkBooster will use ACTIVE FTP mode when download/upload.

Search

  • Maximum file size

    Maximum file size for the search (Mb). Maximum value - 4000. This number must be integer.

  • Maximum number of results

    Maximum number of results which client gets from service. Maximum value - 500. This number must be integer.

  • Minimum bit rate for MP3 search

    Minimum bit rate of a music in mp3 format (Kbps). Possible values - "Any", 128, 192, 256, 384 Kbps.

See also: Auto-Transfer, New search, Transfers


Tutorial

Home -> Tutorial
Tutorial

In this section we will show you concrete examples on how to do basic actions in the dkBooster system.

This tutorial contains four parts:

  • Part 1: Connection to dkBooster server
  • Part 2: Search of necessary file in P2P networks
  • Part 3: Downloading file to your account
  • Part 4: Downloading file from your account to your PC

Start tutorial >>


Tutorial: connection

Home -> Tutorial -> Connection
Part 1: Connection to server
  1. For connection to dkBooster server you should enter your User Name and Password (you will receive them after registration) and click the [image] button.

    If the Save user name and password option in Settings is turned on, the program will save your User Name and Password for the next time you run the program.

    Also, if the Auto-logon at startup option is turned on, the program will connect to the dkBooster server automatically on next start.

    If you forgot your password, just click the "Forgot your password" link to receive a new password.

  2. After successful connection to dkBooster server you can:
    • See dkBooster system news
    • Get new versions of client program (if available) by clicking the "New version is avaliable!" link (if visible)
      Note: roll mouse cursor over the link to see more details about new version.
    • Get access to all others sections.
    • Report bugs to us.
    If connection wasn't successful you will receive an error message. More information about connection errors are found in Connection sub-section description

  3. After connection you can start searching P2P-networks.

Next part >>

See also: Connection sub-section, Connection settings


Tutorial: searching in P2P networks

Home -> Tutorial -> Search
Part 2: Search in P2P networks
  1. Go to the search section and select New search tab.

  2. Select search parameters.

    You only need add a keyword to the Keywords field.

    Also, after entering key words you can choose any of the four available search types:

    • Anything
    • MP3 music
    • Movies
    • Let me choose

    Set the necessary parameters for selected type of search and click [image] button.

  3. After searching starts the program will automatically shift to Results sub-section, where you will see search results and will be able to start downloading desired file to your account.

Next part >>

See also: New search sub-section, Results sub-section, Search settings


Tutorial: download a file from P2P network

Home -> Tutorial -> Download 1
Part 3: Download a file from P2P network
  1. Wait for results of your search and select desired file.

    Attention: for better download speeds we recommend you to select files with high availability. The higher the availability - the higher the downloading speed.

    Select desired file by clicking on its name and click [image] button at the right.

  2. After downloading starts, the program will automatically shift to My Files -> Transfers sub-section, where you can control the downloading process.

    Note: your selected file will appear in the transfers list under "Downloads from P2P networks" heading.

    If after some time (about 10 sec.) in the "Current speed" column someting other than "waiting..." or "stopped" appears, which means that everything is right, and if not, report to List of current transfers section of this Help.

  3. Wait until file is downloaded to your account

    Note: Your are not required to stay connected to the Internet or keep the dkBooster client program running during this time.

    After downloading to your account has finished the program will show you it is available by blinking sign Events [image] in the right-upper area of the program's window.

  4. Now you can download this file to your PC.

Next part >>

See also: Transfers sub-section


Tutorial: download a file to Your PC

Home -> Tutorial -> Download 2
Part 4: Download a file to Your PC
  1. Go to the File storage sub-section and find your file in the Files downloaded from P2P-networks file list.

  2. Now, before starting downloading it to your PC you can view detailed information about this file (for media-files and archives) - highlight it and click [image] button.

  3. If your are sure what this file is what you need you can start downloading it to your PC.

  4. Go back to the Transfers fold.

    Your file will appear in the Current transfers section under the "Downloading from server" heading. Wait until it is downloaded.

  5. After completing downloading your file will appear in the Files on your PC section. Find it in the list and open by double clicking on it (or press [image] button).

Congratulations! You have successfully downloaded your first file with dkBooster service.

Return to index

See also: Transfers sub-section, Download settings


Frequently Asked Questions

Home -> FAQ
Frequently Asked Questions

Q: Is it safe for me to use dkBooster?

A: It is absolutely safe. All files on your account are stored in encrypted format and only you can access them. dkBooster service doesn't provide to anyone your personal information.

Q: I am connected to internet through firewall. What settings I have to set to use dkBooster?

A: You have to allow dkBooster client program to connect to 11002 and 20/21 (FTP) ports of remote server. There are no other settings required. dkBooster doesn't create any incoming connections to your computer.

Q: I have started downloading file from P2P-network to dkBooster service a day ago, but there is no any progress, what's the problem?

A: This is because of some features of P2P- networks and particularly eDonkey network. A lot of files in such networks are incomplete, sources of particular file could be disconnected from network and so on. Because all of this we recommend you to start download files with high maximum availability, or just be patient.

Q: Why I was disconnected from dkBooster server after several hours of inactivity?

A: Please understand us right, this was made to reduce load of our server. We hope this wouldn't bring you any inconvenience. You can easily connect again by clicking "connect" button.

Q: Are there any "spy-ware" or "ad-ware" modules in the client program?

A: No, there are no such modules in the dkBooster client software.

Q: Am I required to perform any complicated setup of client program before starting to use dkBooster service?

A: No. Unlike such programs as eMule you are not required to do any tuning of dkBooster before starting to use it, the only thing, you have to do is to set your internet connection speed and default folder for downloaded files.

Q: May I effectively share with my files by dkBooster?

A: Yes, you can. In order to do this you should upload file to your account and mark it as "shared" (uploaded files are not shared in default).

Q: Am I required to stay connected to internet while downloading file from P2P-network.

A: No. One of the main features of dkBooster is to disable necessity to be continuously connected to internet while downloading big/rare files.

Q: Connection to server is established successfully, but all attempts to transfer files between my account and my PC fail. What`s the problem?

A: Possible solutions are:

  • Check that Internet Explorer is not working in offline mode.
  • Check your proxy/firewall settings - dkBooster must be allowed to connect to FTP server.
  • Try to turn ON "Use FTP PASSIVE mode" options at Settings dialog.

Q: Why I can't change Downloads folder path in Settings dialog?

A: To change this path you must first disconnect client software from dkBooster server.


License Agreement

Home -> EULA
License agreement

This is a legal agreement between you, the "END USER", and dkBooster.com ((Razgon Vsemirnogo Razuma). Use of this software (the "SOFTWARE") and dkBooster service indicates your acceptance of these terms.

1. PROPRIETARY RIGHTS. The SOFTWARE is owned exclusively by dkBooster.com, and this license does not transfer any ownership of the SOFTWARE to you.

2. NON PERMITTED USES. You may not translate, reverse program, disassemble, decompile or otherwise reverse engineer the SOFTWARE.

3. Important! dkBooster.com respects any rights of copyright owners. dkBooster.com will never make any attempts to brake copyright owner's rights. We expect our users do the same. If we will get any proven information about braking intellectual property rights of our users - we will hardly try to prevent this kind of activity. Unauthorized copying, modification, public display, distribution of copyrighted materials is an infringement of the copyright holders' rights.

4. dkBooster software and service are intended only for legal activity. End users bear responsibility of their activity (inactivity) according with using of Software and service. If user by his activity brakes law or makes any other activity which possible may be illegal, user have to understand his responsibility for it. dkBooster.com (Razgon Vsemirnogo Razuma) is not responsible for any user's illegal activity with a help of dkBooster Software and Service.

5. dkBooster.com (Razgon Vsemirnogo Razuma) is technically not able to monitor and check the information users transmit or store via networks with a help of Software and Service. Even if dkBooster.com (Razgon Vsemirnogo Razuma) were in the position to monitor the information users transmit or store, which it is not, dkBooster.com (Razgon Vsemirnogo Razuma) is not obliged under law to conduct such monitoring. To the contrary, monitoring users in any communications network would amount to an infringement of their privacy. We, however, are required by law, to comply with requests by judicial authorities for information about our users, in accordance with national legislation to safeguard national security, defense, and public security and for the prevention, investigation, detection and prosecution of criminal and civil offences.

6. dkBooster.com (Razgon Vsemirnogo Razuma) is not responsible of any damages or losses which may be possible start from end users activity.

7. No child pornography! We are strictly against such content. If you are interested this kind of content, you must understand that it is illegal in most countries all over the World. It is strictly forbidden to use Software and Service for copying, modification, public display, distribution etc. any type of content containing child pornography!

8. NO WARRANTY. THIS SOFTWARE IS LICENSED TO YOU "AS IS," AND WITHOUT ANY WARRANTY OF ANY KIND, WHETHER ORAL, WRITTEN, EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. dkBooster.com DOES NOT WARRANT THAT THIS SOFTWARE DOES NOT INFRINGE ANY RIGHTS OF THIRD PARTIES.